/*******************************************************
//
//	Name: CAIPlayerObject.h
//
//	Author: Dave Ratti
//
//	Date: 3-12-02
//
//	Modified: 3-12-02
//
//	Notes: Player that controls itself
//
//
//
*********************************************************/

#ifndef CAIPLAYER_OBJECT
#define CAIPLAYER_OBJECT

#include "CGameObject.h"
#include "CMap.h"
#include "STRINGC.h"
#include "CAnimation.h"
#include "CPlayerObject.h"

enum AIState
{
	AI_Idle=0,
	AI_Moving=1

};


class CAIPlayerObject: public CPlayerObject
{

public:

	CAIPlayerObject();
	virtual ~CAIPlayerObject();

		

	virtual void doAI();
	virtual void doAICollision(CGameObject* obj);
	
			
	
protected:

	void		moveTiles(Direction d, int nbrTiles);	
	void		changeDirection(Direction d);

	
	///////////////////////////////////////

	AIState		m_AIState;

	///////////////////////////////////////
	
	POINT		m_immediateDestination;
	POINT		m_longTermDestination;
	Direction	m_directionMoving;

};


#endif